# SPDX-License-Identifier: CC0-1.0
# SPDX-FileCopyrightText: NOI Techpark <info@noi.bz.it>

# NOTE: All relative paths are relative to the location of this file.

[pytype]

# Space-separated list of files or directories to exclude.
exclude =
    **/*_test.py
    **/test_*.py
	**/manualtest_*.py

# Space-separated list of files or directories to process.
inputs =
    .

# Keep going past errors to analyze as many files as possible.
keep_going = True

# Run N jobs in parallel. When 'auto' is used, this will be equivalent to the
# number of CPUs on the host system.
jobs = 4

# All pytype output goes here.
output = .pytype

# Paths to source code directories, separated by ':'.
pythonpath =
    .

# Python version (major.minor) of the target code.
python_version = 3.10

# Apply PEP 526-style variable annotations on attributes. This flag is temporary
# and will be removed once this behavior is enabled by default.
attribute_variable_annotations = True

# Check attribute values against their annotations. This flag is temporary and
# will be removed once this behavior is enabled by default.
check_attribute_types = True

# Check container mutations against their annotations. This flag is temporary
# and will be removed once this behavior is enabled by default.
check_container_types = True

# Check parameter defaults and assignments against their annotations. This flag
# is temporary and will be removed once this behavior is enabled by default.
check_parameter_types = True

# Check variable values against their annotations. This flag is temporary and
# will be removed once this behavior is enabled by default.
check_variable_types = True

# Construct a dataclass from a decorated pyi class. This flag is temporary and
# will be removed once this behavior is enabled by default.
create_pyi_dataclasses = True

# Comma or space separated list of error names to ignore.
disable =
    pyi-error

# Don't report errors.
report_errors = True

# Experimental: Infer precise return types even for invalid function calls.
precise_return = False

# Experimental: solve unknown types to label with structural types.
protocols = False

# Experimental: Only load submodules that are explicitly imported.
strict_import = False
